org.apache.ignite.internal.processors.cache.distributed.near

## Interface IgniteTxMappings

All Known Implementing Classes:
  IgniteTxMappingsImpl, IgniteTxMappingsSingleImpl

    public interface IgniteTxMappings

### Method Summary

Methods
`void` `clear()` Clears this mappings.
`boolean` `empty()`
`GridDistributedTxMapping` `get(UUID nodeId)`
`GridDistributedTxMapping` `localMapping()`
`Collection<GridDistributedTxMapping>` `mappings()`
`void` `put(GridDistributedTxMapping mapping)`
`GridDistributedTxMapping` `remove(UUID nodeId)`
`boolean` `single()`
`GridDistributedTxMapping` `singleMapping()`

### Method Detail

#### clear

    void clear()

Clears this mappings.

#### empty

    boolean empty()

Returns:
  `True` if there are no mappings.

#### get

    @Nullable
    GridDistributedTxMapping get(UUID nodeId)

Parameters:
  `nodeId` - Node ID.
Returns:
  Node mapping.

#### put

    void put(GridDistributedTxMapping mapping)

Parameters:
  `mapping` - Mapping.

#### remove

    @Nullable
    GridDistributedTxMapping remove(UUID nodeId)

Parameters:
  `nodeId` - Node ID.
Returns:
  Removed mapping.

#### localMapping

    @Nullable
    GridDistributedTxMapping localMapping()

Returns:
  Mapping for local node.

#### singleMapping

    @Nullable
    GridDistributedTxMapping singleMapping()

Returns:
  Non null instance if this mappings contain only one mapping.

#### mappings

    Collection<GridDistributedTxMapping> mappings()

Returns:
  All mappings.

#### single

    boolean single()

Returns:
  `True` if this is single mapping.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015